%define upstream_name    Tk-Chart
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    To create lines graph as BE<eacute>zier curve
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk) >= 800.0.0
BuildRequires: perl(Tk::Canvas::GradientColor) >= 1.40.0
BuildArch:  noarch

%description
*Tk::Chart* is a module to create and display graphs on a Tk widget. The
module is written entirely in Perl/Tk.

You can set a background gradient color by using the
Tk::Canvas::GradientColor manpage methods.

You can change the color, font of title, labels (x and y) of graphs. You
can set an interactive legend. The axes can be automatically scaled or set
by the code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.json META.yml README TODO demo
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 374402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 takashi <takashi> 1.200.0-1.mga2
+ Revision: 158212
- update to 1.20

  + jquelin <jquelin>
    - update to 1.18

* Wed Jul 20 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 126993
- update to 1.17

* Tue Jul 19 2011 jquelin <jquelin> 1.160.0-1.mga2
+ Revision: 126592
- imported package perl-Tk-Chart

